<?php
/**
 * The theme header
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php
		$sticky_header = '';
		if ( 1 == get_theme_mod( 'sticky_header' ) ) {
			$sticky_header = 'sticky-header';
		}
	?>
	<header id="site-header" class="<?php echo esc_attr($sticky_header); ?>">
		<?php get_template_part( 'template-parts/header/top' ); ?>
		
		<div id="main-header">
			<!-- Logo -->
			<div class="container">
				<?php if ( has_custom_logo() ) : ?>
			        <div class="site-logo"><?php the_custom_logo(); ?></div>
			    <?php else: ?>
			    	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="site-name"><?php bloginfo( 'name' ); ?></a>
				<?php endif; ?>
				
			<!-- Main menu -->
			<?php if ( has_nav_menu( 'primary' ) ) : ?>
				<div id="menu-top">
						<?php get_template_part( 'template-parts/header/navigation' ); ?>
				</div>
			<?php endif; ?>	
			</div>
		</div>
	</header>
	

