<?php
/**
 * The single post template
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 */
get_header();?>

<main role="main">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php while ( have_posts() ) : the_post(); ?>
		<?php
			$post_image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
			$background = '';
			if ( $post_image != '' ) {
				$background = 'style="background-image: url('. esc_url( $post_image[0] ).');"';
			}
		?>
		<div class="page-header post-header" <?php echo $background; ?>>
			<div class="curtain"></div>

			<div class="container">
				<h1 class="post-title"><?php the_title(); ?></h1>
			</div>
		</div>

		<div class="container">
			<?php
				$sidebar      = get_theme_mod ('single_post_sidebar', '');
				$colum_layout = '';
				if ( 1 == $sidebar ) {
					$colum_layout = 'column column--large';
				}
			?>
			<section class="main__content <?php echo esc_attr($colum_layout); ?>">
				<?php get_template_part( 'template-parts/post/content', get_post_format() ); ?>
			</section>


			<?php
			if (  1 == $sidebar ) {
					get_sidebar();
				}
			?>
		</div>
	<?php endwhile;?>
	</article>
</main>

<?php get_footer(); ?>
