<?php
/*
* Template Name: Full width Template
*
*/
get_header();?>

<main role="main">
	<?php
	$class_modifier = is_front_page() ? 'frontpage-header' : '';
	$header_image   = get_header_image();
	$background     = '';
	
	if ( '' != $header_image && is_front_page() ) {
		$background = 'style="background-image: url('.$header_image.');"';
	}
	?>

	<header class="page-header <?php echo esc_attr($class_modifier); ?>" <?php echo $background; ?>>
		<div class="container">
			<?php if ( is_front_page() ) : ?>
				<div class="frontpage-header__title">
					<?php $tagline = get_bloginfo( 'description' );?>
					<p class="site-tag"><?php echo esc_html($tagline); ?></p>
					<h1 class="site-title"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></h1>
				</div>
			<?php else: ?>
				<h1 class="page-title"><?php the_title(); ?></h1>
			<?php endif; ?>
		</div>
	</header>

	<?php while ( have_posts() ) : the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="container">
			<section class="main__content">
	    		<?php the_content(); ?>
			</section>
		</div>
	</article>
	<?php endwhile; ?>
</main>
<?php get_footer(); ?>
